Subject: bug#40923: M-x list-packages -> blah elpa.gnu.org blah: "incomprehensible buffer"

From: Stefan Kangas <[email-masked]>
Date: Tue, 1 Sep 2020 08:00:56 -0700

Noam Postavsky <[email-masked]> writes:

> Eduardo Ochs <[email-masked]> writes:
>
>> If I run `M-x list-packages' - or if I type C-e C-x C-e in the first
>> line - it does not list anything from ELPA and gives this error:
>>
>>   error in process sentinel: Error retrieving:
>>   https://elpa.gnu.org/packages/archive-contents "incomprehensible
>>   buffer"
>
> Oh, sorry, I somehow didn't realize you meant the "incomprehensible
> buffer" part literally until now.  Try doing
>
>     (setq debug-on-signal t debug-on-error t)
>
> before calling list-packages to stop at the error in the debugger (it's
> possible you could hit some different errors first, in which case press
> 'c' to continue until you get the "incomprehensible buffer" one again).
> Then check the contents of the buffer.  You can get the buffer name to
> look at, with
>
>     e (current-buffer) RET
>
> in the debugger.  The name will probably be " *temp*" (note the leading
> space) possibly with a random number as suffix.  Then look at the
> contents, hopefully that will give a clue as to what happened.

(That was 17 weeks ago.)

Did you ever find out anything more about what could cause this?